Incorrect regex for GPU info

Bug #1765614 reported by Jean-Baptiste Lallement on 2018-04-20
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ubuntu-report (Ubuntu)
Undecided
Didier Roche
Bionic
Undecided
Didier Roche

Bug Description

[Impact]

 * GPU not having a revision ID aren't reported by the system, due to an incorrect regexp

[Test Case]

 * Ensure you have a GPU not giving a (rev) id when running lscpi.
 * Run ubuntu-report show
 * Check that there is a GPU field in the report

[Regression Potential]

 * Everything that isn't matched is just ignored ant not part of the finale json report.
 * We have an extensive testsuite covering the previous supported case and now this one that was added.

---

The regex is incorrect to match the GPU info

It should be:
^.* 0300: (.*)(\( rev .*\))?$

to match the cases where there is no revision number.

Like: 01:00.0 0300: 1002:68b8

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: ubuntu-report 1.0.11
ProcVersionSignature: Ubuntu 4.15.0-15.16-generic 4.15.15
Uname: Linux 4.15.0-15-generic x86_64
ApportVersion: 2.20.9-0ubuntu5
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Fri Apr 20 09:08:21 2018
Dependencies:
 gcc-8-base 8-20180414-1ubuntu2
 libc6 2.27-3ubuntu1
 libgcc1 1:8-20180414-1ubuntu2
InstallationDate: Installed on 2014-07-15 (1374 days ago)
InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Alpha amd64 (20140520)
SourcePackage: ubuntu-report
UpgradeStatus: Upgraded to bionic on 2018-03-24 (26 days ago)

Jean-Baptiste Lallement (jibel) wrote :
Didier Roche (didrocks) on 2018-05-18
Changed in ubuntu-report (Ubuntu):
status: New → Fix Committed
Didier Roche (didrocks) on 2018-05-31
Changed in ubuntu-report (Ubuntu):
status: Fix Committed → Triaged
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-report (Ubuntu Bionic):
status: New → Confirmed
Łukasz Zemczak (sil2100) wrote :

What is the status of this in cosmic? The general guidance is for the fixes to be at least available in cosmic-proposed before proceeding with an SRU.

Didier Roche (didrocks) on 2018-06-05
Changed in ubuntu-report (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in ubuntu-report (Ubuntu Bionic):
assignee: nobody → Didier Roche (didrocks)
Didier Roche (didrocks) wrote :

Uploaded in cosmic via:

ubuntu-report (1.1.0cosmic) cosmic; urgency=medium

  * debian/gbp.conf: remove prebuild hook as exported in build-already now

ubuntu-report (1.1.0) bionic; urgency=medium

  * Delay reporting of system metrics when there is no network.
    A service then kicks in and try to report with exponential
    backoff until success (LP: #1774354)
  * Ensure that LANG is the user's language reported even in OEM
    mode (LP: #1765672)
  * Collect physical screen size (LP: #1771976)
  * Incorrect regex for GPU info (LP: #1765614)

Changed in ubuntu-report (Ubuntu):
status: Triaged → Fix Released

Hello Jean-Baptiste, or anyone else affected,

Accepted ubuntu-report into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-report/1.1.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-report (Ubuntu Bionic):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-bionic
Jean-Baptiste Lallement (jibel) wrote :

SRU verification for Bionic:
I have reproduced the problem with ubuntu-report 1.0.11 in bionic and have verified that the version of ubuntu-report 1.1.0 in -proposed fixes the issue.

Marking as verification-done

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-report - 1.1.0

---------------
ubuntu-report (1.1.0) bionic; urgency=medium

  * Delay reporting of system metrics when there is no network.
    A service then kicks in and try to report with exponential
    backoff until success (LP: #1774354)
  * Ensure that LANG is the user's language reported even in OEM
    mode (LP: #1765672)
  * Collect physical screen size (LP: #1771976)
  * Incorrect regex for GPU info (LP: #1765614)

 -- Didier Roche <email address hidden> Thu, 31 May 2018 09:58:03 +0200

Changed in ubuntu-report (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-report has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers